import ECS from 'aws-sdk/clients/ecs';
import CloudWatchLogs from 'aws-sdk/clients/cloudwatchlogs';
import { AWSDockerImageDeployment, AWSDockerImagePackage } from './types/AWSDockerImagePackage';
import { DeploymentState } from '@goldstack/infra';
interface GetLogsParams {
    taskId: string;
    deployment: AWSDockerImageDeployment;
    deploymentState: DeploymentState;
    config: AWSDockerImagePackage;
    limit?: number;
    nextToken?: string;
    startTime?: number;
    endTime?: number;
}
export declare const getLogs: (params: GetLogsParams) => Promise<CloudWatchLogs.OutputLogEvents>;
interface EnvVarDefinition {
    name: string;
    value: string;
}
interface RunParams {
    cmd: string[];
    env?: EnvVarDefinition[];
    imageHash?: string;
    deployment: AWSDockerImageDeployment;
    config: AWSDockerImagePackage;
    deploymentState: DeploymentState;
}
export declare const getTaskStatus: (deployment: AWSDockerImageDeployment, taskExecutionArn: string) => Promise<ECS.Task>;
export interface StartTaskResult {
    taskArn: string;
    taskId: string;
    awsLogsGroup: string;
    awsLogsConsoleLink: string;
    ecsConsoleLink: string;
}
export declare const startTask: (params: RunParams) => Promise<StartTaskResult>;
export declare const runTask: (params: RunParams) => Promise<StartTaskResult>;
export declare const apiDockerImageAwsCli: (config: AWSDockerImagePackage, deployment: AWSDockerImageDeployment, args: string[]) => Promise<void>;
export {};
//# sourceMappingURL=apiDockerImageAws.d.ts.map